Bug 143834 - Add /etc/rpm/macros.* inside rpmrc under macrofiles
Summary: Add /etc/rpm/macros.* inside rpmrc under macrofiles
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-29 16:46 UTC by Jeff Pitman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-02 08:29:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (639 bytes, patch)
2005-01-01 00:49 UTC, Jeff Pitman
no flags Details | Diff

Description Jeff Pitman 2004-12-29 16:46:29 UTC
New RPM supports globbing in macrofiles inside rpmrc. This aids in  
development packages that install /etc/rpm/macros.pkgname files to  
be automatically usable without editing ~/.rpmrc or /etc/rpmrc. This 
also reduces clutter instead of explicitly adding, 
say, /etc/rpm/macros.up2date, etc.

Comment 1 Jeff Pitman 2005-01-01 00:49:12 UTC
Created attachment 109207 [details]
Proposed patch

Comment 2 Jeff Pitman 2005-01-02 08:29:22 UTC
It's already in Fedora development. 


Note You need to log in before you can comment on or make changes to this bug.